# Vivado constraints unrelated clocks. So set false paths.
set_false_path -from [get_clocks clk_fpga_1] -to [get_clocks vga_clk_ins/*]
set_false_path -from [get_clocks vga_clk_ins/*] -to [get_clocks clk_fpga_1]

# HDMI (DVI) outputs
set_property -dict "PACKAGE_PIN L17 IOSTANDARD TMDS_33" [get_ports "hdmi_clk_n"]
set_property -dict "PACKAGE_PIN L16 IOSTANDARD TMDS_33" [get_ports "hdmi_clk_p"]
set_property -dict "PACKAGE_PIN M18 IOSTANDARD TMDS_33" [get_ports "hdmi_d_n[0]"]
set_property -dict "PACKAGE_PIN M17 IOSTANDARD TMDS_33" [get_ports "hdmi_d_p[0]"]
set_property -dict "PACKAGE_PIN J16 IOSTANDARD TMDS_33" [get_ports "hdmi_d_n[1]"]
set_property -dict "PACKAGE_PIN K16 IOSTANDARD TMDS_33" [get_ports "hdmi_d_p[1]"]
set_property -dict "PACKAGE_PIN L20 IOSTANDARD TMDS_33" [get_ports "hdmi_d_n[2]"]
set_property -dict "PACKAGE_PIN L19 IOSTANDARD TMDS_33" [get_ports "hdmi_d_p[2]"]
set_property -dict "PACKAGE_PIN M19 IOSTANDARD LVCMOS33" [get_ports "hdmi_out_en"]

# Set voltage level for banks 34 and 35 (match with jumper setting on board)
set_property IOSTANDARD LVCMOS33 [get_ports "J3[*]"]
set_property IOSTANDARD LVCMOS33 [get_ports "J8[*]"]

set_property -dict "PACKAGE_PIN P18 IOSTANDARD LVCMOS33" [get_ports "cape_button"]; # IO_B34_LN23

# J3 on Cape board
set_property PACKAGE_PIN D18 [get_ports "J3[0]"]; # J3/3 = IO_B35_LN3
set_property PACKAGE_PIN E17 [get_ports "J3[1]"]; # J3/4 = IO_B35_LP3
set_property PACKAGE_PIN A20 [get_ports "J3[2]"]; # J3/5 = IO_B35_LN2
set_property PACKAGE_PIN B19 [get_ports "J3[3]"]; # J3/6 = IO_B35_LP2
set_property PACKAGE_PIN D20 [get_ports "J3[4]"]; # J3/7 = IO_B35_LN4
set_property PACKAGE_PIN D19 [get_ports "J3[5]"]; # J3/8 = IO_B35_LP4
set_property PACKAGE_PIN E19 [get_ports "J3[6]"]; # J3/9 = IO_B35_LN5
set_property PACKAGE_PIN E18 [get_ports "J3[7]"]; # J3/10 = IO_B35_LP5
set_property PACKAGE_PIN F17 [get_ports "J3[8]"]; # J3/11 = IO_B35_LN6
set_property PACKAGE_PIN F16 [get_ports "J3[9]"]; # J3/12 = IO_B35_LP6
set_property PACKAGE_PIN G18 [get_ports "J3[10]"]; # J3/13 = IO_B35_LN16
set_property PACKAGE_PIN G17 [get_ports "J3[11]"]; # J3/14 = IO_B35_LP16
set_property PACKAGE_PIN K18 [get_ports "J3[12]"]; # J3/15 = IO_B35_LN12
set_property PACKAGE_PIN K17 [get_ports "J3[13]"]; # J3/16 = IO_B35_LP12
set_property PACKAGE_PIN H20 [get_ports "J3[14]"]; # J3/17 = IO_B35_LN17
set_property PACKAGE_PIN J20 [get_ports "J3[15]"]; # J3/18 = IO_B35_LP17
set_property PACKAGE_PIN H18 [get_ports "J3[16]"]; # J3/19 = IO_B35_LN14
set_property PACKAGE_PIN J18 [get_ports "J3[17]"]; # J3/20 = IO_B35_LP14
set_property PACKAGE_PIN J19 [get_ports "J3[18]"]; # J3/21 = IO_B35_LN10
set_property PACKAGE_PIN K19 [get_ports "J3[19]"]; # J3/22 = IO_B35_LP10
set_property PACKAGE_PIN B20 [get_ports "J3[20]"]; # J3/23 = IO_B35_LN1
set_property PACKAGE_PIN C20 [get_ports "J3[21]"]; # J3/24 = IO_B35_LP1
set_property PACKAGE_PIN G15 [get_ports "J3[22]"]; # J3/25 = IO_B35_LN19
set_property PACKAGE_PIN H15 [get_ports "J3[23]"]; # J3/26 = IO_B35_LP19
set_property PACKAGE_PIN G20 [get_ports "J3[24]"]; # J3/27 = IO_B35_LN18
set_property PACKAGE_PIN G19 [get_ports "J3[25]"]; # J3/28 = IO_B35_LP18
set_property PACKAGE_PIN J14 [get_ports "J3[26]"]; # J3/29 = IO_B35_LN20
set_property PACKAGE_PIN K14 [get_ports "J3[27]"]; # J3/30 = IO_B35_LP20
set_property PACKAGE_PIN F20 [get_ports "J3[28]"]; # J3/31 = IO_B35_LN15
set_property PACKAGE_PIN F19 [get_ports "J3[29]"]; # J3/32 = IO_B35_LP15
set_property PACKAGE_PIN H17 [get_ports "J3[30]"]; # J3/33 = IO_B35_LN13
set_property PACKAGE_PIN H16 [get_ports "J3[31]"]; # J3/34 = IO_B35_LP13
set_property PACKAGE_PIN L15 [get_ports "J3[32]"]; # J3/35 = IO_B35_LN22
set_property PACKAGE_PIN L14 [get_ports "J3[33]"]; # J3/36 = IO_B35_LP22

# J8 on Cape board
set_property PACKAGE_PIN R17 [get_ports "J8[0]"]; # J8/3 = IO_B34_LN19
set_property PACKAGE_PIN R16 [get_ports "J8[1]"]; # J8/4 = IO_B34_LP19
set_property PACKAGE_PIN P16 [get_ports "J8[2]"]; # J8/5 = IO_B34_LN24
set_property PACKAGE_PIN P15 [get_ports "J8[3]"]; # J8/6 = IO_B34_LP24
set_property PACKAGE_PIN U20 [get_ports "J8[4]"]; # J8/7 = IO_B34_LN15
set_property PACKAGE_PIN T20 [get_ports "J8[5]"]; # J8/8 = IO_B34_LP15
set_property PACKAGE_PIN P19 [get_ports "J8[6]"]; # J8/9 = IO_B34_LN13
set_property PACKAGE_PIN N18 [get_ports "J8[7]"]; # J8/10 = IO_B34_LP13
set_property PACKAGE_PIN W20 [get_ports "J8[8]"]; # J8/11 = IO_B34_LN16
set_property PACKAGE_PIN V20 [get_ports "J8[9]"]; # J8/12 = IO_B34_LP16
set_property PACKAGE_PIN R18 [get_ports "J8[10]"]; # J8/13 = IO_B34_LN20
set_property PACKAGE_PIN T17 [get_ports "J8[11]"]; # J8/14 = IO_B34_LP20
set_property PACKAGE_PIN P20 [get_ports "J8[12]"]; # J8/15 = IO_B34_LN14
set_property PACKAGE_PIN N20 [get_ports "J8[13]"]; # J8/16 = IO_B34_LP14
set_property PACKAGE_PIN U17 [get_ports "J8[14]"]; # J8/17 = IO_B34_LN9
set_property PACKAGE_PIN T16 [get_ports "J8[15]"]; # J8/18 = IO_B34_LP9
set_property PACKAGE_PIN U19 [get_ports "J8[16]"]; # J8/19 = IO_B34_LN12
set_property PACKAGE_PIN U18 [get_ports "J8[17]"]; # J8/20 = IO_B34_LP12
set_property PACKAGE_PIN V18 [get_ports "J8[18]"]; # J8/21 = IO_B34_LN21
set_property PACKAGE_PIN V17 [get_ports "J8[19]"]; # J8/22 = IO_B34_LP21
set_property PACKAGE_PIN U15 [get_ports "J8[20]"]; # J8/23 = IO_B34_LN11
set_property PACKAGE_PIN U14 [get_ports "J8[21]"]; # J8/24 = IO_B34_LP11
set_property PACKAGE_PIN W19 [get_ports "J8[22]"]; # J8/25 = IO_B34_LN22
set_property PACKAGE_PIN W18 [get_ports "J8[23]"]; # J8/26 = IO_B34_LP22
set_property PACKAGE_PIN W16 [get_ports "J8[24]"]; # J8/27 = IO_B34_LN18
set_property PACKAGE_PIN V16 [get_ports "J8[25]"]; # J8/28 = IO_B34_LP18
set_property PACKAGE_PIN W15 [get_ports "J8[26]"]; # J8/29 = IO_B34_LN10
set_property PACKAGE_PIN V15 [get_ports "J8[27]"]; # J8/30 = IO_B34_LP10
set_property PACKAGE_PIN Y19 [get_ports "J8[28]"]; # J8/31 = IO_B34_LN17
set_property PACKAGE_PIN Y18 [get_ports "J8[29]"]; # J8/32 = IO_B34_LP17
set_property PACKAGE_PIN Y17 [get_ports "J8[30]"]; # J8/33 = IO_B34_LN7
set_property PACKAGE_PIN Y16 [get_ports "J8[31]"]; # J8/34 = IO_B34_LP7
set_property PACKAGE_PIN Y14 [get_ports "J8[32]"]; # J8/35 = IO_B34_LN8
set_property PACKAGE_PIN W14 [get_ports "J8[33]"]; # J8/36 = IO_B34_LP8
